GyotoScenery.h File Reference

Ray-tracing framework. More...

`#include <GyotoDefs.h>`
`#include <GyotoSmartPointer.h>`
`#include <GyotoObject.h>`
`#include <GyotoAstrobj.h>`
`#include <GyotoMetric.h>`
`#include <GyotoScreen.h>`
`#include <GyotoPhoton.h>`
`#include <GyotoConverters.h>`
`#include "GyotoFactory.h"`
`#include <boost/mpi/environment.hpp>`
`#include <boost/mpi/communicator.hpp>`

Go to the source code of this file.

## Classes

class | Gyoto::Scenery
| Ray-tracing scene. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.

## Detailed Description

Ray-tracing framework.

A Metric, an Astrobj and a Screen.